aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-12-17 01:21:05 +0300
committerGitHub <noreply@github.com>2022-12-17 01:21:05 +0300
commite46c73de74942438e079564405c5c4b0291a4aae (patch)
treeca502fc9404e4b378e5339e92c17397df7bb4ec1 /test
parenta3dc31d31fec8b52c63b756d1df17b602e141b9b (diff)
Git - Bug Fix: Feature fails with "ppa:false" for bionic & jammy (#339)
Diffstat (limited to 'test')
-rw-r--r--test/git/install_git_from_src_bionic.sh16
-rw-r--r--test/git/install_git_from_src_jammy.sh16
-rw-r--r--test/git/scenarios.json18
3 files changed, 50 insertions, 0 deletions
diff --git a/test/git/install_git_from_src_bionic.sh b/test/git/install_git_from_src_bionic.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_bionic.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults
diff --git a/test/git/install_git_from_src_jammy.sh b/test/git/install_git_from_src_jammy.sh
new file mode 100644
index 0000000..4bdcf30
--- /dev/null
+++ b/test/git/install_git_from_src_jammy.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" git --version
+check "gettext" dpkg-query -l gettext
+
+cd /tmp && git clone https://github.com/devcontainers/feature-starter.git
+cd feature-starter
+check "perl" bash -c "git -c grep.patternType=perl grep -q 'a.+b'"
+
+# Report result
+reportResults
diff --git a/test/git/scenarios.json b/test/git/scenarios.json
index a57bea7..90aa7e3 100644
--- a/test/git/scenarios.json
+++ b/test/git/scenarios.json
@@ -7,5 +7,23 @@
"ppa": "false"
}
}
+ },
+ "install_git_from_src_jammy": {
+ "image": "ubuntu:jammy",
+ "features": {
+ "git": {
+ "version": "latest",
+ "ppa": "false"
+ }
+ }
+ },
+ "install_git_from_src_bionic": {
+ "image": "ubuntu:bionic",
+ "features": {
+ "git": {
+ "version": "latest",
+ "ppa": "false"
+ }
+ }
}
}